Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.basex.util
Class IntArrayList

    java.lang.Object
      org.basex.util.IntArrayList

All Implemented Interfaces:
  java.lang.Iterable<int[]>

    public final class IntArrayList

extends java.lang.Object
implements java.lang.Iterable<int[]>

This is a simple container for native int array values.

Author:
  Workgroup DBIS, University of Konstanz 2005-09, ISC License, Christian Gruen

Constructor Summary
`IntArrayList()` Default constructor.
`IntArrayList(int is)` Constructor.

Method Summary
`void` | `add(int[] v)` Adds next value.
`int[]` | `get(int p)` Returns the specified value.
`java.util.Iterator<int[]>` | `iterator()`
`void` | `set(int[] v, int p)` Sets the specified value at the specified position.
`int` | `size()` Returns the number of entries.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IntArrayList

    public IntArrayList()

  Default constructor.

### IntArrayList

    public IntArrayList(int is)

  Constructor.

  Parameters:
    `is` - initial size of the list

Method Detail

### add

    public void add(int[] v)

  Adds next value.

  Parameters:
    `v` - value to be added

### size

    public int size()

  Returns the number of entries.

  Returns:
    number of entries

### get

    public int[] get(int p)

  Returns the specified value.

  Parameters:
    `p` - position
  Returns:
    value

### set

    public void set(int[] v,
                    int p)

  Sets the specified value at the specified position.

  Parameters:
    `v` - value
    `p` - position

### iterator

    public java.util.Iterator<int[]> iterator()

  Specified by:
    `iterator` in interface `java.lang.Iterable<int[]>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD